| nlaunch | Drop-down independent app launcher (needs fzy), drop in `$PATH`; fallback regular prompt |
| picker | Pick files and pipe the newline-separated list to another utility |
| sxiv | Open images in current directory in sxiv |
+| transfer | Upload current file to transfer.sh |
| upgrade | Check and update to latest version of nnn manually on Debian 9 Stretch |
--- /dev/null
+#!/usr/bin/env sh
+
+# Description: Upload a file to transfer.sh
+#
+# Shell: POSIX compliant
+# Author: Arun Prakash Jana
+
+if ! [ -z "$1" ]; then
+ # Upload the file, show the download link and wait till user presses any key
+ curl -s --upload-file "$1" https://transfer.sh/`basename "$1"`
+ echo
+ read input
+
+ # To write download link to "$1".loc and exit
+ # curl -s --upload-file "$1" https://transfer.sh/`basename "$1"` -o `basename "$1"`.loc
+fi